Arbor 3: FSM & BT Graph Editor 3.7.5

Public Member Functions | Public Attributes | Properties | List of all members
OutputSlotBase Class Reference

Output slot More...

Inheritance diagram for OutputSlotBase:

## Public Member Functions
void | AddBranch (DataBranch branch)
| Addition of DataBranch. More...
| OutputSlotBase ()
| OutputSlotBase constructor More...
bool | RemoveBranch (DataBranch branch)
| Remove DataBranch. More...
bool | RemoveBranchAt (int index)
| Remove DataBranch. More...
DataBranch | GetBranch (int index)
| Get DataBranch. More...
bool | IsConnected (DataBranch branch)
| It judges whether it is connected with DataBranch. More...
override void | Disconnect ()
| Disconnect the connection. More...
override void | ClearBranch ()
| Clear the connection status. More...
void | AddOutputBranch (DataBranch branch)
| Addition of DataBranch. More...
void | RemoveOutputBranch (DataBranch branch)
| Remove DataBranch. More...
int | GetOutputBranchCount ()
| Get count of DataBranch. More...
DataBranch | GetOutputBranch (int index)
| Get DataBranch. More...
bool | IsConnectedOutput (DataBranch branch)
| It judges whether it is connected with DataBranch. More...

## Public Attributes
List< int > | branchIDs = new List<int>()
| List of the destination branch More...
Public Attributes inherited from DataSlot
NodeGraph | nodeGraph
| State machine slot belongs More...
Rect | position
| Position on ArborEditor of slot(Editor Only) More...

## Properties
override SlotType | slotType`[get]`
| Slot type More...
int | branchCount`[get]`
| Get count of DataBranch. More...
Properties inherited from DataSlot
abstract SlotType | slotType`[get]`
| Slot type More...
abstract System.Type | dataType`[get]`
| The type of data stored in the slot More...
Properties inherited from IDataSlot
SlotType | slotType`[get]`
| Slot type More...
System.Type | dataType`[get]`
| The type of data stored in the slot More...
Properties inherited from IOutputSlot
int | branchCount`[get]`
| Get count of DataBranch. More...
Properties inherited from ISerializeVersionCallbackReceiver
int | newestVersion`[get]`
| newest version More...

## Additional Inherited Members
Events inherited from DataSlot
System.Action< bool > | onConnectionChanged
| Callback event when connection is changed More...

## Detailed Description

Output slot

## Constructor & Destructor Documentation

## ◆ OutputSlotBase()

OutputSlotBase | ( |  | ) |

OutputSlotBase constructor

## Member Function Documentation

## ◆ AddBranch()

void AddBranch | ( | DataBranch | branch | ) |

Addition of DataBranch.

Parameters

  branch | DataBranch

Implements IOutputSlot.

## ◆ AddOutputBranch()

void AddOutputBranch | ( | DataBranch | branch | ) |

Addition of DataBranch.

Parameters

  branch | DataBranch

## ◆ ClearBranch()

override void ClearBranch | ( |  | ) |
| virtual

Clear the connection status.

Since the DataBranch remains, call it when the connection status is no longer needed by copy and paste.

Implements DataSlot.

## ◆ Disconnect()

override void Disconnect | ( |  | ) |
| virtual

Disconnect the connection.

Implements DataSlot.

## ◆ GetBranch()

DataBranch GetBranch | ( | int | index | ) |

Get DataBranch.

Parameters

  index | Index

Returns
  DataBranch

Implements IOutputSlot.

## ◆ GetOutputBranch()

DataBranch GetOutputBranch | ( | int | index | ) |

Get DataBranch.

Parameters

  index | Index

Returns
  DataBranch

## ◆ GetOutputBranchCount()

int GetOutputBranchCount | ( |  | ) |

Get count of DataBranch.

Returns
  Count of DataBranch

## ◆ IsConnected()

bool IsConnected | ( | DataBranch | branch | ) |

It judges whether it is connected with DataBranch.

Parameters

  branch | DataBranch

Returns
  True if connected, false otherwise.

Implements IOutputSlot.

## ◆ IsConnectedOutput()

bool IsConnectedOutput | ( | DataBranch | branch | ) |

It judges whether it is connected with DataBranch.

Parameters

  branch | DataBranch

Returns
  True if connected, false otherwise.

## ◆ RemoveBranch()

bool RemoveBranch | ( | DataBranch | branch | ) |

Remove DataBranch.

Parameters

  branch | DataBranch

Implements IOutputSlot.

## ◆ RemoveBranchAt()

bool RemoveBranchAt | ( | int | index | ) |

Remove DataBranch.

Parameters

  index | index

Implements IOutputSlot.

## ◆ RemoveOutputBranch()

void RemoveOutputBranch | ( | DataBranch | branch | ) |

Remove DataBranch.

Parameters

  branch | DataBranch

## Member Data Documentation

## ◆ branchIDs

List<int> branchIDs = new List<int>()

List of the destination branch

## Property Documentation

## ◆ branchCount

int branchCount
| get

Get count of DataBranch.

Returns
  Count of DataBranch

## ◆ slotType

override SlotType slotType
| get

Slot type